Index: trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java
===================================================================
--- trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java	(revision 11)
+++ trunk/compiler/ooasCompiler/src/org/momut/ooas/parser/ooaParser.java	(revision 12)
@@ -4234,40 +4259,40 @@
         		expr = null;
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:649:2: ( ( (unexpr= op_un )? (e= identifierExpression |e= constant |e= initializedComplexType |e= quantifierExpression | T_LPAREN e= expression T_RPAREN ( ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[e] )? |e= accessExpression[e] )? ) ( 'as' cid= T_IDENTIFIER )? ) |ie= T_IF ce= expression T_THEN te= expression T_ELSE ee= expression T_END )
-            int alt69=2;
-            final int LA69_0 = input.LA(1);
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:653:2: ( ( (unexpr= op_un )? (e= identifierExpression |e= constant |e= initializedComplexType |e= quantifierExpression | T_LPAREN e= expression T_RPAREN ( ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[e] )? |e= accessExpression[e] )? ) ( 'as' cid= T_IDENTIFIER )? ) |ie= T_IF ce= expression T_THEN te= expression T_ELSE ee= expression T_END )
+            int alt70=2;
+            final int LA70_0 = input.LA(1);
 
-            if ( (LA69_0==T_ABS||(LA69_0 >= T_CARD && LA69_0 <= T_CBRL)||LA69_0==T_DCONC||LA69_0==T_DINTER||LA69_0==T_DOM||(LA69_0 >= T_DUNION && LA69_0 <= T_ELEMS)||(LA69_0 >= T_EXISTS && LA69_0 <= T_FALSE)||LA69_0==T_FLOATNUMBER||LA69_0==T_FORALL||(LA69_0 >= T_HEAD && LA69_0 <= T_IDENTIFIER)||LA69_0==T_INDS||LA69_0==T_INTNUMBER||LA69_0==T_LEN||(LA69_0 >= T_LPAREN && LA69_0 <= T_LSQPAREN)||LA69_0==T_MERGE||LA69_0==T_MINUS||(LA69_0 >= T_NEW && LA69_0 <= T_NIL)||LA69_0==T_NOT||LA69_0==T_RNG||LA69_0==T_SELF||LA69_0==T_STRINGLITERAL||LA69_0==T_TAIL||LA69_0==T_TRUE) ) {
-                alt69=1;
+            if ( (LA70_0==T_ABS||(LA70_0 >= T_CARD && LA70_0 <= T_CBRL)||LA70_0==T_DCONC||LA70_0==T_DINTER||LA70_0==T_DOM||(LA70_0 >= T_DUNION && LA70_0 <= T_ELEMS)||(LA70_0 >= T_EXISTS && LA70_0 <= T_FALSE)||LA70_0==T_FLOATNUMBER||LA70_0==T_FORALL||(LA70_0 >= T_HEAD && LA70_0 <= T_IDENTIFIER)||LA70_0==T_INDS||LA70_0==T_INTNUMBER||LA70_0==T_LEN||(LA70_0 >= T_LPAREN && LA70_0 <= T_LSQPAREN)||LA70_0==T_MERGE||LA70_0==T_MINUS||(LA70_0 >= T_NEW && LA70_0 <= T_NIL)||LA70_0==T_NOT||LA70_0==T_RNG||LA70_0==T_SELF||LA70_0==T_STRINGLITERAL||LA70_0==T_TAIL||LA70_0==T_TRUE) ) {
+                alt70=1;
             }
-            else if ( (LA69_0==T_IF) ) {
-                alt69=2;
+            else if ( (LA70_0==T_IF) ) {
+                alt70=2;
             }
             else {
                 final NoViableAltException nvae =
-                    new NoViableAltException("", 69, 0, input);
+                    new NoViableAltException("", 70, 0, input);
 
                 throw nvae;
 
             }
-            switch (alt69) {
+            switch (alt70) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:649:4: ( (unexpr= op_un )? (e= identifierExpression |e= constant |e= initializedComplexType |e= quantifierExpression | T_LPAREN e= expression T_RPAREN ( ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[e] )? |e= accessExpression[e] )? ) ( 'as' cid= T_IDENTIFIER )? )
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:653:4: ( (unexpr= op_un )? (e= identifierExpression |e= constant |e= initializedComplexType |e= quantifierExpression | T_LPAREN e= expression T_RPAREN ( ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[e] )? |e= accessExpression[e] )? ) ( 'as' cid= T_IDENTIFIER )? )
                     {
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:649:4: ( (unexpr= op_un )? (e= identifierExpression |e= constant |e= initializedComplexType |e= quantifierExpression | T_LPAREN e= expression T_RPAREN ( ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[e] )? |e= accessExpression[e] )? ) ( 'as' cid= T_IDENTIFIER )? )
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:649:5: (unexpr= op_un )? (e= identifierExpression |e= constant |e= initializedComplexType |e= quantifierExpression | T_LPAREN e= expression T_RPAREN ( ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[e] )? |e= accessExpression[e] )? ) ( 'as' cid= T_IDENTIFIER )?
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:653:4: ( (unexpr= op_un )? (e= identifierExpression |e= constant |e= initializedComplexType |e= quantifierExpression | T_LPAREN e= expression T_RPAREN ( ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[e] )? |e= accessExpression[e] )? ) ( 'as' cid= T_IDENTIFIER )? )
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:653:5: (unexpr= op_un )? (e= identifierExpression |e= constant |e= initializedComplexType |e= quantifierExpression | T_LPAREN e= expression T_RPAREN ( ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[e] )? |e= accessExpression[e] )? ) ( 'as' cid= T_IDENTIFIER )?
                     {
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:649:11: (unexpr= op_un )?
-                    int alt63=2;
-                    final int LA63_0 = input.LA(1);
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:653:11: (unexpr= op_un )?
+                    int alt64=2;
+                    final int LA64_0 = input.LA(1);
 
-                    if ( (LA63_0==T_ABS||LA63_0==T_CARD||LA63_0==T_DCONC||LA63_0==T_DINTER||LA63_0==T_DOM||(LA63_0 >= T_DUNION && LA63_0 <= T_ELEMS)||LA63_0==T_HEAD||LA63_0==T_INDS||LA63_0==T_LEN||LA63_0==T_MERGE||LA63_0==T_MINUS||LA63_0==T_NOT||LA63_0==T_RNG||LA63_0==T_TAIL) ) {
-                        alt63=1;
+                    if ( (LA64_0==T_ABS||LA64_0==T_CARD||LA64_0==T_DCONC||LA64_0==T_DINTER||LA64_0==T_DOM||(LA64_0 >= T_DUNION && LA64_0 <= T_ELEMS)||LA64_0==T_HEAD||LA64_0==T_INDS||LA64_0==T_LEN||LA64_0==T_MERGE||LA64_0==T_MINUS||LA64_0==T_NOT||LA64_0==T_RNG||LA64_0==T_TAIL) ) {
+                        alt64=1;
                     }
-                    switch (alt63) {
+                    switch (alt64) {
                         case 1 :
-                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:649:11: unexpr= op_un
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:653:11: unexpr= op_un
                             {
                             pushFollow(FOLLOW_op_un_in_atomExpression2918);
                             unexpr=op_un();
@@ -4281,12 +4306,12 @@
                     }
 
 
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:649:19: (e= identifierExpression |e= constant |e= initializedComplexType |e= quantifierExpression | T_LPAREN e= expression T_RPAREN ( ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[e] )? |e= accessExpression[e] )? )
-                    int alt67=5;
-                    alt67 = dfa67.predict(input);
-                    switch (alt67) {
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:653:19: (e= identifierExpression |e= constant |e= initializedComplexType |e= quantifierExpression | T_LPAREN e= expression T_RPAREN ( ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[e] )? |e= accessExpression[e] )? )
+                    int alt68=5;
+                    alt68 = dfa68.predict(input);
+                    switch (alt68) {
                         case 1 :
-                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:650:8: e= identifierExpression
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:654:8: e= identifierExpression
                             {
                             pushFollow(FOLLOW_identifierExpression_in_atomExpression2935);
                             e=identifierExpression();
@@ -4297,7 +4322,7 @@
                             }
                             break;
                         case 2 :
-                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:651:8: e= constant
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:655:8: e= constant
                             {
                             pushFollow(FOLLOW_constant_in_atomExpression2946);
                             e=constant();
@@ -4308,7 +4333,7 @@
                             }
                             break;
                         case 3 :
-                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:652:8: e= initializedComplexType
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:656:8: e= initializedComplexType
                             {
                             pushFollow(FOLLOW_initializedComplexType_in_atomExpression2957);
                             e=initializedComplexType();
@@ -4319,7 +4344,7 @@
                             }
                             break;
                         case 4 :
-                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:653:8: e= quantifierExpression
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:657:8: e= quantifierExpression
                             {
                             pushFollow(FOLLOW_quantifierExpression_in_atomExpression2969);
                             e=quantifierExpression();
@@ -4330,7 +4355,7 @@
                             }
                             break;
                         case 5 :
-                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:654:8: T_LPAREN e= expression T_RPAREN ( ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[e] )? |e= accessExpression[e] )?
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:658:8: T_LPAREN e= expression T_RPAREN ( ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[e] )? |e= accessExpression[e] )?
                             {
                             match(input,T_LPAREN,FOLLOW_T_LPAREN_in_atomExpression2978);
 
@@ -4342,35 +4367,35 @@
 
                             match(input,T_RPAREN,FOLLOW_T_RPAREN_in_atomExpression2984);
 
-                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:655:8: ( ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[e] )? |e= accessExpression[e] )?
-                            int alt66=3;
-                            final int LA66_0 = input.LA(1);
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:659:8: ( ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[e] )? |e= accessExpression[e] )?
+                            int alt67=3;
+                            final int LA67_0 = input.LA(1);
 
-                            if ( (LA66_0==T_POINT) ) {
-                                alt66=1;
+                            if ( (LA67_0==T_POINT) ) {
+                                alt67=1;
                             }
-                            else if ( ((LA66_0 >= T_LPAREN && LA66_0 <= T_LSQPAREN)) ) {
-                                alt66=2;
+                            else if ( ((LA67_0 >= T_LPAREN && LA67_0 <= T_LSQPAREN)) ) {
+                                alt67=2;
                             }
-                            switch (alt66) {
+                            switch (alt67) {
                                 case 1 :
-                                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:656:6: ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[e] )?
+                                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:660:6: ( T_POINT idn= T_IDENTIFIER )+ (res= accessExpression[e] )?
                                     {
-                                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:656:6: ( T_POINT idn= T_IDENTIFIER )+
-                                    int cnt64=0;
-                                    loop64:
+                                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:660:6: ( T_POINT idn= T_IDENTIFIER )+
+                                    int cnt65=0;
+                                    loop65:
                                     do {
-                                        int alt64=2;
-                                        final int LA64_0 = input.LA(1);
+                                        int alt65=2;
+                                        final int LA65_0 = input.LA(1);
 
-                                        if ( (LA64_0==T_POINT) ) {
-                                            alt64=1;
+                                        if ( (LA65_0==T_POINT) ) {
+                                            alt65=1;
                                         }
 
 
-                                        switch (alt64) {
+                                        switch (alt65) {
                                     	case 1 :
-                                    	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:656:7: T_POINT idn= T_IDENTIFIER
+                                    	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:660:7: T_POINT idn= T_IDENTIFIER
                                     	    {
                                     	    match(input,T_POINT,FOLLOW_T_POINT_in_atomExpression3007);
 
@@ -4382,25 +4407,25 @@
                                     	    break;
 
                                     	default :
-                                    	    if ( cnt64 >= 1 ) break loop64;
+                                    	    if ( cnt65 >= 1 ) break loop65;
                                                 final EarlyExitException eee =
-                                                    new EarlyExitException(64, input);
+                                                    new EarlyExitException(65, input);
                                                 throw eee;
                                         }
-                                        cnt64++;
+                                        cnt65++;
                                     } while (true);
 
 
-                                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:659:8: (res= accessExpression[e] )?
-                                    int alt65=2;
-                                    final int LA65_0 = input.LA(1);
+                                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:663:8: (res= accessExpression[e] )?
+                                    int alt66=2;
+                                    final int LA66_0 = input.LA(1);
 
-                                    if ( ((LA65_0 >= T_LPAREN && LA65_0 <= T_LSQPAREN)) ) {
-                                        alt65=1;
+                                    if ( ((LA66_0 >= T_LPAREN && LA66_0 <= T_LSQPAREN)) ) {
+                                        alt66=1;
                                     }
-                                    switch (alt65) {
+                                    switch (alt66) {
                                         case 1 :
-                                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:659:9: res= accessExpression[e]
+                                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:663:9: res= accessExpression[e]
                                             {
                                             pushFollow(FOLLOW_accessExpression_in_atomExpression3043);
                                             res=accessExpression(e);
@@ -4419,7 +4444,7 @@
                                     }
                                     break;
                                 case 2 :
-                                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:661:6: e= accessExpression[e]
+                                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:665:6: e= accessExpression[e]
                                     {
                                     pushFollow(FOLLOW_accessExpression_in_atomExpression3063);
                                     e=accessExpression(e);
@@ -4439,16 +4464,16 @@
                     }
 
 
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:663:5: ( 'as' cid= T_IDENTIFIER )?
-                    int alt68=2;
-                    final int LA68_0 = input.LA(1);
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:667:5: ( 'as' cid= T_IDENTIFIER )?
+                    int alt69=2;
+                    final int LA69_0 = input.LA(1);
 
-                    if ( (LA68_0==119) ) {
-                        alt68=1;
+                    if ( (LA69_0==119) ) {
+                        alt69=1;
                     }
-                    switch (alt68) {
+                    switch (alt69) {
                         case 1 :
-                            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:663:6: 'as' cid= T_IDENTIFIER
+                            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:667:6: 'as' cid= T_IDENTIFIER
                             {
                             match(input,119,FOLLOW_119_in_atomExpression3082);
 
@@ -4470,7 +4495,7 @@
                     }
                     break;
                 case 2 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:666:6: ie= T_IF ce= expression T_THEN te= expression T_ELSE ee= expression T_END
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:670:6: ie= T_IF ce= expression T_THEN te= expression T_ELSE ee= expression T_END
                     {
                     ie=(Token)match(input,T_IF,FOLLOW_T_IF_in_atomExpression3107);
 
@@ -4520,7 +4545,7 @@
 
 
     // $ANTLR start "quantifierExpression"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:671:1: quantifierExpression returns [Quantifier result] : t= ( T_FORALL | T_EXISTS ) (id= T_IDENTIFIER ( T_COLON id_type= simpleType ) ( T_COMMA id2= T_IDENTIFIER ( T_COLON id_type2= simpleType ) )* ) T_COLON T_LPAREN e= expression T_RPAREN ;
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:675:1: quantifierExpression returns [Quantifier result] : t= ( T_FORALL | T_EXISTS ) (id= T_IDENTIFIER ( T_COLON id_type= simpleType ) ( T_COMMA id2= T_IDENTIFIER ( T_COLON id_type2= simpleType ) )* ) T_COLON T_LPAREN e= expression T_RPAREN ;
     public final Quantifier quantifierExpression() throws RecognitionException {
         Quantifier result = null;
 
@@ -4539,8 +4564,8 @@
         		result = null;
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:676:2: (t= ( T_FORALL | T_EXISTS ) (id= T_IDENTIFIER ( T_COLON id_type= simpleType ) ( T_COMMA id2= T_IDENTIFIER ( T_COLON id_type2= simpleType ) )* ) T_COLON T_LPAREN e= expression T_RPAREN )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:676:5: t= ( T_FORALL | T_EXISTS ) (id= T_IDENTIFIER ( T_COLON id_type= simpleType ) ( T_COMMA id2= T_IDENTIFIER ( T_COLON id_type2= simpleType ) )* ) T_COLON T_LPAREN e= expression T_RPAREN
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:680:2: (t= ( T_FORALL | T_EXISTS ) (id= T_IDENTIFIER ( T_COLON id_type= simpleType ) ( T_COMMA id2= T_IDENTIFIER ( T_COLON id_type2= simpleType ) )* ) T_COLON T_LPAREN e= expression T_RPAREN )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:680:5: t= ( T_FORALL | T_EXISTS ) (id= T_IDENTIFIER ( T_COLON id_type= simpleType ) ( T_COMMA id2= T_IDENTIFIER ( T_COLON id_type2= simpleType ) )* ) T_COLON T_LPAREN e= expression T_RPAREN
             {
             t=input.LT(1);
 
@@ -4556,13 +4581,13 @@
 
             result = createQuantifierExpression(t);
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:678:3: (id= T_IDENTIFIER ( T_COLON id_type= simpleType ) ( T_COMMA id2= T_IDENTIFIER ( T_COLON id_type2= simpleType ) )* )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:678:4: id= T_IDENTIFIER ( T_COLON id_type= simpleType ) ( T_COMMA id2= T_IDENTIFIER ( T_COLON id_type2= simpleType ) )*
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:682:3: (id= T_IDENTIFIER ( T_COLON id_type= simpleType ) ( T_COMMA id2= T_IDENTIFIER ( T_COLON id_type2= simpleType ) )* )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:682:4: id= T_IDENTIFIER ( T_COLON id_type= simpleType ) ( T_COMMA id2= T_IDENTIFIER ( T_COLON id_type2= simpleType ) )*
             {
             id=(Token)match(input,T_IDENTIFIER,FOLLOW_T_IDENTIFIER_in_quantifierExpression3174);
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:678:20: ( T_COLON id_type= simpleType )
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:678:21: T_COLON id_type= simpleType
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:682:20: ( T_COLON id_type= simpleType )
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:682:21: T_COLON id_type= simpleType
             {
             match(input,T_COLON,FOLLOW_T_COLON_in_quantifierExpression3177);
 
@@ -4577,27 +4602,27 @@
             }
 
 
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:679:5: ( T_COMMA id2= T_IDENTIFIER ( T_COLON id_type2= simpleType ) )*
-            loop70:
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:683:5: ( T_COMMA id2= T_IDENTIFIER ( T_COLON id_type2= simpleType ) )*
+            loop71:
             do {
-                int alt70=2;
-                final int LA70_0 = input.LA(1);
+                int alt71=2;
+                final int LA71_0 = input.LA(1);
 
-                if ( (LA70_0==T_COMMA) ) {
-                    alt70=1;
+                if ( (LA71_0==T_COMMA) ) {
+                    alt71=1;
                 }
 
 
-                switch (alt70) {
+                switch (alt71) {
             	case 1 :
-            	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:679:6: T_COMMA id2= T_IDENTIFIER ( T_COLON id_type2= simpleType )
+            	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:683:6: T_COMMA id2= T_IDENTIFIER ( T_COLON id_type2= simpleType )
             	    {
             	    match(input,T_COMMA,FOLLOW_T_COMMA_in_quantifierExpression3192);
 
             	    id2=(Token)match(input,T_IDENTIFIER,FOLLOW_T_IDENTIFIER_in_quantifierExpression3196);
 
-            	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:679:31: ( T_COLON id_type2= simpleType )
-            	    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:679:32: T_COLON id_type2= simpleType
+            	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:683:31: ( T_COLON id_type2= simpleType )
+            	    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:683:32: T_COLON id_type2= simpleType
             	    {
             	    match(input,T_COLON,FOLLOW_T_COLON_in_quantifierExpression3199);
 
@@ -4616,7 +4641,7 @@
             	    break;
 
             	default :
-            	    break loop70;
+            	    break loop71;
                 }
             } while (true);
 
@@ -4657,7 +4682,7 @@
 
 
     // $ANTLR start "constant"
-    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:686:1: constant returns [LeafExpression result] : ( T_TRUE | T_FALSE | T_NIL | T_SELF |t_fl= T_FLOATNUMBER |t_in= T_INTNUMBER |t_l= T_STRINGLITERAL );
+    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:690:1: constant returns [LeafExpression result] : ( T_TRUE | T_FALSE | T_NIL | T_SELF |t_fl= T_FLOATNUMBER |t_in= T_INTNUMBER |t_l= T_STRINGLITERAL );
     public final LeafExpression constant() throws RecognitionException {
         LeafExpression result = null;
 
@@ -4670,55 +4695,55 @@
         		result = null;
 
         try {
-            // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:691:2: ( T_TRUE | T_FALSE | T_NIL | T_SELF |t_fl= T_FLOATNUMBER |t_in= T_INTNUMBER |t_l= T_STRINGLITERAL )
-            int alt71=7;
+            // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:695:2: ( T_TRUE | T_FALSE | T_NIL | T_SELF |t_fl= T_FLOATNUMBER |t_in= T_INTNUMBER |t_l= T_STRINGLITERAL )
+            int alt72=7;
             switch ( input.LA(1) ) {
             case T_TRUE:
                 {
-                alt71=1;
+                alt72=1;
                 }
                 break;
             case T_FALSE:
                 {
-                alt71=2;
+                alt72=2;
                 }
                 break;
             case T_NIL:
                 {
-                alt71=3;
+                alt72=3;
                 }
                 break;
             case T_SELF:
                 {
-                alt71=4;
+                alt72=4;
                 }
                 break;
             case T_FLOATNUMBER:
                 {
-                alt71=5;
+                alt72=5;
                 }
                 break;
             case T_INTNUMBER:
                 {
-                alt71=6;
+                alt72=6;
                 }
                 break;
             case T_STRINGLITERAL:
                 {
-                alt71=7;
+                alt72=7;
                 }
                 break;
             default:
                 final NoViableAltException nvae =
-                    new NoViableAltException("", 71, 0, input);
+                    new NoViableAltException("", 72, 0, input);
 
                 throw nvae;
 
             }
 
-            switch (alt71) {
+            switch (alt72) {
                 case 1 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:691:5: T_TRUE
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:695:5: T_TRUE
                     {
                     match(input,T_TRUE,FOLLOW_T_TRUE_in_constant3255);
 
@@ -4727,7 +4752,7 @@
                     }
                     break;
                 case 2 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:692:4: T_FALSE
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:696:4: T_FALSE
                     {
                     match(input,T_FALSE,FOLLOW_T_FALSE_in_constant3263);
 
@@ -4736,7 +4761,7 @@
                     }
                     break;
                 case 3 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:693:4: T_NIL
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:697:4: T_NIL
                     {
                     match(input,T_NIL,FOLLOW_T_NIL_in_constant3270);
 
@@ -4745,7 +4770,7 @@
                     }
                     break;
                 case 4 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:694:4: T_SELF
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:698:4: T_SELF
                     {
                     match(input,T_SELF,FOLLOW_T_SELF_in_constant3278);
 
@@ -4754,7 +4779,7 @@
                     }
                     break;
                 case 5 :
-                    // /home/willibald/svn/branches/1161_dynlistPerformance_willibald/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:695:5: t_fl= T_FLOATNUMBER
+                    // /home/willi/svn/trunk/ooascompiler/ooasCompiler/src/org/momut/ooas/parser/ooa.g:699:5: t_fl= T_FLOATNUMBER
                     {
                     t_fl=(Token)match(input,T_FLOATNUMBER,FOLLOW_T_FLOATNUMBER_in_constant3289);
 
